libetonyek::IWORKFormula::Token Struct Reference documentation

libetonyek::IWORKFormula::Token Struct Reference

small structure used by IWAParser to create formula More...

`#include <IWORKFormula.h>`

## Public Types
enum | Type { Cell , Double , Function , Operator , String }

## Public Member Functions
| Token (Type type)
| Token (double const &val)
| Token (std::string const &name, Type type)
| Token (IWORKFormula::Address const &address)

## Public Attributes
Type | m_type
std::string | m_string
double | m_value
IWORKFormula::Address | m_address

## Friends
std::ostream & | operator<< (std::ostream &s, IWORKFormula::Token const &dt)

## Detailed Description

small structure used by IWAParser to create formula

## Member Enumeration Documentation

## ◆ Type

enum libetonyek::IWORKFormula::Token::Type

Enumerator
Cell |
Double |
Function |
Operator |
String |

## Constructor & Destructor Documentation

## ◆ Token() [1/4]

libetonyek::IWORKFormula::Token::Token | ( | Type | type | ) |
| inlineexplicit

## ◆ Token() [2/4]

libetonyek::IWORKFormula::Token::Token | ( | double const & | val | ) |
| inlineexplicit

## ◆ Token() [3/4]

libetonyek::IWORKFormula::Token::Token | ( | std::string const & | name,
|  | Type | type )
| inline

## ◆ Token() [4/4]

libetonyek::IWORKFormula::Token::Token | ( | IWORKFormula::Address const & | address | ) |
| inlineexplicit

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | s,
|  | IWORKFormula::Token const & | dt )
| friend

Referenced by operator<<.

## Member Data Documentation

## ◆ m_address

IWORKFormula::Address libetonyek::IWORKFormula::Token::m_address

Referenced by operator<<, Token(), Token(), Token(), and Token().

## ◆ m_string

std::string libetonyek::IWORKFormula::Token::m_string

Referenced by operator<<, Token(), Token(), Token(), and Token().

## ◆ m_type

Type libetonyek::IWORKFormula::Token::m_type

Referenced by operator<<, Token(), Token(), Token(), and Token().

## ◆ m_value

double libetonyek::IWORKFormula::Token::m_value

Referenced by operator<<, Token(), Token(), Token(), and Token().

The documentation for this struct was generated from the following file:

- IWORKFormula.h